<?php
namespace Controller;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource;
use Util\Instance\ServiceInstance;
class Index {

    public function findIndex(DTO\Request\Filter $request, DTO\Response $response)
    {
        $page = $request->getFilterCriteria()->getPage();
        $pageSize = $request->getFilterCriteria()->getPageSize();
        $filters = $request->getFilterCriteria()->getConditions();
        $trigger = ServiceInstance::getIndex()->findIndex($filters, $page, $pageSize);
        $response->addDataSet(new DataSource\DataSet('index', $trigger));
    }

    public function findIndexColumns(DTO\Request\Filter $request, DTO\Response $response){
        $filters = $request->getFilterCriteria()->getConditions();
        $page = $request->getFilterCriteria()->getPage();
        $pageSize = $request->getFilterCriteria()->getPageSize();
        $constraintCollumns = ServiceInstance::getIndex()->findIndexColumns($filters, $page, $pageSize);
        $response->addDataSet(new DataSource\DataSet('indexColumns', $constraintCollumns));
    }
}

