<?php
namespace Service;
use \Doctrine\ORM\EntityManager;
use Util\Utilities;
use Util\Instance\GeneralProvider;
use Util\Messages;
use Util\Instance\RepositoryInstance;

class Functions {
    public function findFunctions($filters, $page, $pageSize)
    {
        $conditions = Utilities::createQueryFiltered($filters);
        $limit  = $page * $pageSize;
        $offset = ($page - 1) * $pageSize;
        return RepositoryInstance::getFunctions()->getAllFunctions($conditions, $limit, $offset);
    }
}