<?php
namespace Controller;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource;
use Util\Instance\ServiceInstance;
use Zeedhi\Framework\DTO\Request;
class Functions {

    public function findFunctions(DTO\Request\Filter $request, DTO\Response $response)
    {
        $page = $request->getFilterCriteria()->getPage();
        $pageSize = $request->getFilterCriteria()->getPageSize();
        $filters = $request->getFilterCriteria()->getConditions();
        $procedure = ServiceInstance::getFunctions()->findFunctions($filters, $page, $pageSize);
        $response->addDataSet(new DataSource\DataSet('procedure', $procedure));
    }
}

