<?php
namespace Util\Instance;

use Zeedhi\Framework\DependencyInjection\InstanceManager;

class GeneralProvider {

    /** @return \Doctrine\ORM\EntityManager */
    public static function getEntityManager()
    {
        return InstanceManager::getInstance()->getService('entityManager');
    }

    /** @return \Teknisa\Libs\Util\Environment */
    public static function getEnvironment()
    {
        return InstanceManager::getInstance()->getService('libEnvironment');
    }

    /** @return \Teknisa\Libs\Util\NewCode */
    public static function getNewCode() {
        return InstanceManager::getInstance()->getService('newCodeSC');
    }

    /** @return \Doctrine\ORM\Configuration */
    public static function getEntityMetaDataConfig() {
        return InstanceManager::getInstance()->getService('entityMetaDataConfig');
    }

    /** @return \Doctrine\Common\EventManager */
    public static function getEventManager() {
        return InstanceManager::getInstance()->getService('eventManager');
    }
}